// Ex402 : circular motions
// Oct. 28, 2019 by H.K.
//

#include "myVelocity.h"
#include "myFastLed.h"

void setup() {
  mySetup();
  myFastLedSetup();
  JJ7Axes();
  
  while (digitalRead(SW_PIN)==HIGH);
  delay(1000);
}

float wd, v; // R=md=v/w; v=m*wd
float m=3.0, sp=200.0;
float A=sp/sqrt(1.0+m*m);

void loop() { 
  wd=A; 
  v=m*A;
  velocityJJ7(wd, v);// (-wd,v), (-wd,-v), (wd, -v)
  delay(100);
}

